#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Packdrakeng
%define		pdir	MDV
Summary:	MDV::Packdrakeng - simple archive extractor/builder
Summary(pl.UTF-8):	MDV::Packdrakeng - prosta rozpakowywarka archiwów/builder
Name:		perl-MDV-Packdrakeng
Version:	1.13
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/N/NA/NANARDON/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8dc16111304c486557ec94e26e8fa86c
Patch0:		%{name}-xz.patch
URL:		http://search.cpan.org/dist/MDV-Packdrakeng/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with autodeps}
BuildRequires:	perl-Compress-Zlib
%endif
BuildRequires:	rpm-devel >= 4.2.3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor
using standard compression methods.

%description -l pl.UTF-8
MDV::Packdrakeng jest prostym builderem indeksowanych archiwów oraz
rozpakowywarką korzystającą ze standardowych metod kompresji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/MDV
%changelog
* Mon Dec 03 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MDV-Packdrakeng.git;a=log;h=master

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> dc3392b
- up to 1.13
- added xz support from mandriva svn

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ae67e3e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 83f66e3
- converted to UTF-8

* Mon Nov 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 95f4a1b
- added URL

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> e577a5d
- new

